
Foreman - Bug #2674

Fedora package should supply tmpfiles configuration

06/18/2013 03:27 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Greg Sutcliffe   

Category: Packaging   

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The RPM provides a /usr/share/foreman/tmp symlink, which points to /var/run/foreman, which is supplied in the package.  On Fedora

18, this is a volatile area and so the package should supply a tmpfiles.d configuration file to recreate it after boot (the proxy already

does this).

Associated revisions

Revision d30ac557 - 06/19/2013 06:34 AM - Greg Sutcliffe

Fixes #2674 - Add tmpdfiles.d configuration for systemd to rpm spec

Revision 202f3bbc - 06/20/2013 03:41 AM - Greg Sutcliffe

Fixes #2674 - Add tmpdfiles.d configuration for systemd to rpm spec

(cherry picked from commit d30ac557d1d260bfdae13164cd83deca27c371cc)

History

#1 - 06/19/2013 05:41 AM - Greg Sutcliffe

- Status changed from New to Ready For Testing

- Assignee set to Greg Sutcliffe

https://github.com/theforeman/foreman/pull/731

#2 - 06/19/2013 07:17 AM - Greg Sutcliffe

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset d30ac557d1d260bfdae13164cd83deca27c371cc.
